## ros-melodic-pr2-description 1.13.1

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_description)
find_package(catkin REQUIRED COMPONENTS convex_decomposition ivcon)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

find_program(CONVEX_DECOMPOSITION_CMD convex_decomposition
  HINTS "${convex_decomposition_DEVEL_PREFIX}/lib/convex_decomposition"
  "${convex_decomposition_INSTALL_PREFIX}/lib/convex_decomposition")

find_program(IVCON_CMD ivcon
  HINTS "${ivcon_DEVEL_PREFIX}/lib/ivcon"
  "${ivcon_INSTALL_PREFIX}/lib/ivcon")

# mesh file generations
# iterate through all the stl files to:
#  1. convert to *.iv files
#  2. generate convex decomposed .stl

file(GLOB pr2_stl_files ${CMAKE_CURRENT_SOURCE_DIR}/meshes/*/*.stl)
set(pr2_gen_files "")

foreach(it ${pr2_stl_files})
  get_filename_component(basepath ${it} PATH)
  get_filename_component(basename ${it} NAME_WE)

  IF ( ${basename} MATCHES "_convex" )

    message("ignoring stale .._convex.stl file:" ,${basename})

  ELSE ( ${basename} MATCHES "_convex" )

    # create subdirectory convex
    file(MAKE_DIRECTORY ${basepath}/convex)

    # create subdirectory iv
    file(MAKE_DIRECTORY ${basepath}/iv)

    #create obj files for convex decomposition from stl files
    add_custom_command(
      OUTPUT ${basepath}/convex/${basename}.obj
      COMMAND ${IVCON_CMD}
      ARGS ${it} ${basepath}/convex/${basename}.obj
      DEPENDS ${it})

    set(pr2_gen_files ${pr2_gen_files} ${basepath}/convex/${basename}.obj)

    #convex decompose object files
    add_custom_command(
      OUTPUT ${basepath}/convex/${basename}_convex.obj
      COMMAND ${CONVEX_DECOMPOSITION_CMD}
      ARGS ${basepath}/convex/${basename}.obj -v12 -p10
      DEPENDS ${basepath}/convex/${basename}.obj)

    set(pr2_gen_files ${pr2_gen_files} ${basepath}/convex/${basename}_convex.obj)

    #convert obj files back to stlb, put in directory named convex
    add_custom_command(
      OUTPUT ${basepath}/convex/${basename}_convex.stlb
      COMMAND ${IVCON_CMD}
      ARGS ${basepath}/convex/${basename}_convex.obj ${basepath}/convex/${basename}_convex.stlb
      DEPENDS ${basepath}/convex/${basename}_convex.obj)

    set(pr2_gen_files ${pr2_gen_files} ${basepath}/convex/${basename}_convex.stlb)

    #convert obj files back to stla, put in directory named convex
    add_custom_command(
      OUTPUT ${basepath}/convex/${basename}_convex.stla
      COMMAND ${IVCON_CMD}
      ARGS ${basepath}/convex/${basename}_convex.obj ${basepath}/convex/${basename}_convex.stla
      DEPENDS ${basepath}/convex/${basename}_convex.obj)

    set(pr2_gen_files ${pr2_gen_files} ${basepath}/convex/${basename}_convex.stla)

    #create iv files
    add_custom_command(
      OUTPUT ${basepath}/iv/${basename}.iv
      COMMAND ${IVCON_CMD}
      ARGS ${it} ${basepath}/iv/${basename}.iv
      DEPENDS ${it})

    add_custom_command(
      OUTPUT ${basepath}/convex/${basename}_convex.iv
      COMMAND ${IVCON_CMD}
      ARGS ${basepath}/convex/${basename}_convex.obj ${basepath}/convex/${basename}_convex.iv
      DEPENDS ${basepath}/convex/${basename}_convex.obj)
     
    set(pr2_gen_files ${pr2_gen_files} ${basepath}/iv/${basename}.iv ${basepath}/convex/${basename}_convex.iv)


  ENDIF ( ${basename} MATCHES "_convex" )

endforeach(it)

add_custom_target(media_files ALL DEPENDS ${pr2urdf} ${pr2robot_expanded} ${prfrobot_expanded} ${prgrobot_expanded} ${pr2prototype1_expanded} ${pr2larm_expanded} ${pr2rarm_expanded} ${pr2lgripper_expanded} ${pr2rgripper_expanded} ${pr2_gen_files} )

## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(CATKIN_DEPENDS xacro)

if(CATKIN_ENABLE_TESTING)
	find_package(PkgConfig)
	pkg_check_modules(URDFDOM REQUIRED urdfdom)
	message(STATUS "Find URDFDOM ${URDFDOM_VERSION}")
	catkin_add_gtest(test_urdf test/test_urdf.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
	if ("${URDFDOM_VERSION}" VERSION_EQUAL "1.0.0" OR "${URDFDOM_VERSION}" VERSION_GREATER "1.0.0")
		target_compile_definitions(test_urdf PRIVATE -DURDFDOM_1_0_0_API)
    endif()
	target_link_libraries(test_urdf urdfdom_model)
endif()

foreach(dir meshes gazebo materials robots documents urdf)
   install(DIRECTORY ${dir}/ 
      DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

## ros-melodic-pr2-description 1.12.4

=== debian/changelog ===
ros-melodic-pr2-description (1.12.4-1stretch) stretch; urgency=high

  * Merge pull request #274 <https://github.com/PR2/pr2_common/issues/274> from knorth55/fix-gripper
    Revert #255 <https://github.com/PR2/pr2_common/issues/255>
  * Revert "[pr2_description] fix: gripper reduction 3141.6 -> 314.16"
    This reverts commit d5c8f476c6882b74a03bdc39eccf36823da3ad97.
  * Contributors: Kei Okada, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 24 Apr 2019 00:00:00 -0000

ros-melodic-pr2-description (1.12.3-1stretch) stretch; urgency=high

  * Merge pull request #272 <https://github.com/pr2/pr2_common/issues/272> from k-okada/add_travis
    update travis.yml
  * ModelInterfaceSharedPtr is only available on newer urdfdom
  * fix for urdfmodel 1.0.0 (melodic)
  * test_urdf uses rosrun within the code
  * Merge pull request #270 <https://github.com/pr2/pr2_common/issues/270> from TAMS-Group/pr-kinetic-fixed-xmlns
    xmlns should include www
  * xmlns should include www
    According to the tutorials:
    http://wiki.ros.org/urdf/Tutorials/Using%20Xacro%20to%20Clean%20Up%20a%20URDF%20File
    xacro complains when some xacro components specify the URL
    as http://www.ros.org/wiki/xacro and others
    as http://ros.org/wiki/xacro.
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Sep 2018 00:00:00 -0000

ros-melodic-pr2-description (1.12.2-1stretch) stretch; urgency=high

  * Merge pull request #269 <https://github.com/pr2/pr2_common/issues/269> from bmagyar/kinetic-devel
    Fix pr2_description warnings
  * Remove playerstage xml schemas
  * xacro.py -> xacro
  * Contributors: Bence Magyar

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 18 Apr 2018 00:00:00 -0000

ros-melodic-pr2-description (1.12.1-1stretch) stretch; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge pull request #266 <https://github.com/pr2/pr2_common/issues/266> from furushchev/use-arg
    pr2.urdf.xacro: support xacro:arg
  * pr2.urdf.xacro: support xacro:arg
  * Merge pull request #260 <https://github.com/pr2/pr2_common/issues/260> from davetcoleman/inconsistent_namespace
    Fix inconsistent namespace redefinitions for xmlns:xacro
  * Merge pull request #259 <https://github.com/pr2/pr2_common/issues/259> from davetcoleman/prepend_xacro_namespace
    Prepend xacro tags with xacro xml namespace
  * Merge pull request #258 <https://github.com/pr2/pr2_common/issues/258> from PR2/indigo-devel
    Sync Indigo into Kinetic
  * Prepend xacro tags with xacro xml namespace
  * Fix inconsistent namespace redefinitions for xmlns:xacro
  * Merge pull request #255 <https://github.com/pr2/pr2_common/issues/255> from furushchev/fix-gripper
    [pr2_description] fix: gripper reduction 3141.6 -> 314.16
  * [pr2_description] fix: gripper reduction 3141.6 -> 314.16
  * Contributors: Dave Coleman, Devon Ash, Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-melodic-pr2-description (1.11.9-1stretch) stretch; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-melodic-pr2-description (1.11.8-1stretch) stretch; urgency=high

  * liburdfdom-dev dep
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-description (1.11.7-1stretch) stretch; urgency=high

  * Fixed changelogs manually
  * Merge conflicts
  * Changelogs
  * Changelogs
  * Changelogs
  * Changelogs
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

ros-melodic-pr2-description (1.11.5-1stretch) stretch; urgency=high

  * when using ROS Indigo and Gazebo 2.2.3, the name specified here must be <link_name>_collision
  * made test_urdf independent from ros package urdfdom by using liburdfdom-dev  directly as its recommended in the package description of urdfdom
  * made test_urdf independent from ros package urdfdom by using liburdfdom-dev  directly as its recommended in the package description of urdfdom
  * removed developers warning in pr2_descriptions CMakeLists.txt
  * Contributors: Arne Hitzmann, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-description
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, liburdfdom-dev, ros-melodic-catkin, ros-melodic-convex-decomposition, ros-melodic-ivcon, ros-melodic-rosbash
Homepage: http://ros.org/wiki/pr2_description
Standards-Version: 3.9.2

Package: ros-melodic-pr2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the PR2 robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pr2-description 1.13.1

=== debian/changelog ===
ros-melodic-pr2-description (1.13.1-1bionic) bionic; urgency=high

  * allow pr2.urdf.xacro to accept customized calibration values (#285 <https://github.com/PR2/pr2_common/issues/285>)
    If 0.0, use the default values. (This retains backward compatibility)
    If not 0.0, use the passed values. (Enable custom calibration values for all macro instantiations
    Using 0.0 to trigger the old defaults is necessary because some default values need to be computed from other parameters.
  * Contributors: Shuang Li

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 06 Sep 2022 15:00:00 -0000

ros-melodic-pr2-description (1.13.0-1bionic) bionic; urgency=high

  * Cleanup collision/auxiliary shapes in urdf (#280 <https://github.com/pr2/pr2_common/issues/280>)
    
      * remove auxiliary shapes from kinect2 links
        If one wants to see the frames, just enable the frame in RViz.
        There is no need whatsoever to keep these in the description.
      * provide bounding box for kinect2 spoiler
        to enable *some* collision checking.
        It was not enabled at all before and it's barely in the workspace of the arms at all (without tool use).
        So a rough bounding box is fine.
      * remove useless visual geometry
        MoveIt master recently changed its policy w.r.t. empty collision geometries.
        The current version complains:
        ros.moveit_core.robot_model.empty_collision_geometry: Link sensor_mount_link has visual geometry but no collision geometry. Collision geometry will be left empty. Fix your URDF file by explicitly specifying collision geometry.
        ros.moveit_core.robot_model.empty_collision_geometry: Link double_stereo_link has visual geometry but no collision geometry. Collision geometry will be left empty. Fix your URDF file by explicitly specifying collision geometry.
        As these visuals are not helpful and do not add anything to the description, I just remove them.
      * remove guessed inertia on base_footprint
        These values are obviously fictitious (the whole link is...)
        Additionally, KDL datastructures have been complaining about this for ages
        because KDL does not support inertials for the model root
        (whatever that means).
    
  * cleanup rviz errors (#278 <https://github.com/pr2/pr2_common/issues/278>)
    
      * use collada to store kinect mesh
        The STL produced the following warning with RViz:
        [ WARN]: The STL file 'package://pr2_description/meshes/sensors/kinect2_v0/kinect2_assembly.STL' is malformed. It starts with the word 'solid', indicating that it's an ASCII STL file, but it does not contain the word 'endsolid' so it is either a malformed ASCII STL file or it is actually a binary STL file. Trying to interpret it as a binary STL file instead.
      * fix TIFFFieldWithTag errors by converting to png files
        The error seems to stem from a problem in libtiff, so a reasonable
        way to resolve it was to change to a different file format.
        The texture files should not be used in isolation from the corresponding
        dae file, so removing the old tiff files retains API.
    
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Aug 2020 15:00:00 -0000

ros-melodic-pr2-description (1.12.4-1bionic) bionic; urgency=high

  * Merge pull request #274 <https://github.com/PR2/pr2_common/issues/274> from knorth55/fix-gripper
    Revert #255 <https://github.com/PR2/pr2_common/issues/255>
  * Revert "[pr2_description] fix: gripper reduction 3141.6 -> 314.16"
    This reverts commit d5c8f476c6882b74a03bdc39eccf36823da3ad97.
  * Contributors: Kei Okada, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Apr 2019 15:00:00 -0000

ros-melodic-pr2-description (1.12.3-1bionic) bionic; urgency=high

  * Merge pull request #272 <https://github.com/pr2/pr2_common/issues/272> from k-okada/add_travis
    update travis.yml
  * ModelInterfaceSharedPtr is only available on newer urdfdom
  * fix for urdfmodel 1.0.0 (melodic)
  * test_urdf uses rosrun within the code
  * Merge pull request #270 <https://github.com/pr2/pr2_common/issues/270> from TAMS-Group/pr-kinetic-fixed-xmlns
    xmlns should include www
  * xmlns should include www
    According to the tutorials:
    http://wiki.ros.org/urdf/Tutorials/Using%20Xacro%20to%20Clean%20Up%20a%20URDF%20File
    xacro complains when some xacro components specify the URL
    as http://www.ros.org/wiki/xacro and others
    as http://ros.org/wiki/xacro.
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 09 Sep 2018 15:00:00 -0000

ros-melodic-pr2-description (1.12.2-1bionic) bionic; urgency=high

  * Merge pull request #269 <https://github.com/pr2/pr2_common/issues/269> from bmagyar/kinetic-devel
    Fix pr2_description warnings
  * Remove playerstage xml schemas
  * xacro.py -> xacro
  * Contributors: Bence Magyar

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 17 Apr 2018 15:00:00 -0000

ros-melodic-pr2-description (1.12.1-1bionic) bionic; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge pull request #266 <https://github.com/pr2/pr2_common/issues/266> from furushchev/use-arg
    pr2.urdf.xacro: support xacro:arg
  * pr2.urdf.xacro: support xacro:arg
  * Merge pull request #260 <https://github.com/pr2/pr2_common/issues/260> from davetcoleman/inconsistent_namespace
    Fix inconsistent namespace redefinitions for xmlns:xacro
  * Merge pull request #259 <https://github.com/pr2/pr2_common/issues/259> from davetcoleman/prepend_xacro_namespace
    Prepend xacro tags with xacro xml namespace


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-pr2-description
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
-Build-Depends: debhelper (>= 9.0.0), libgtest-dev, liburdfdom-dev, ros-melodic-catkin, ros-melodic-convex-decomposition, ros-melodic-ivcon, ros-melodic-rosbash
+Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, liburdfdom-dev <!nocheck>, ros-melodic-catkin, ros-melodic-convex-decomposition, ros-melodic-ivcon, ros-melodic-rosbash <!nocheck>
 Homepage: http://ros.org/wiki/pr2_description
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
